@import url("https://fonts.googleapis.com/css2?family=poppins:wght@100;300;400;500;600&display=swap");

:root{
    --main-color:hsl(0, 0%, 98%);
    --black-color:#0e0e0e;
    --border:0,1rem solid rgba(255,255,255,0.4)

}



*{
    font-family: "poppins",sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize; transition: 0.2s ease;
}
/*! base html codes */
html{
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 9rem;
    scroll-behavior: smooth;
}
html::-webkit-scrollbar{
    width: 0.8rem;
    background-color: white;
}
html::-webkit-scrollbar-track{
    background-color:transparent;
}


html::-webkit-scrollbar-thumb{
   border-radius: 3rem;
    background-color: var(--black-color);
}
body{background-color: var(--main-color);}
section{
    padding: 3.5rem 7%;
}
article{
    padding: 3.5rem 7%;
}

.a{
    text-decoration: none;

}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding: 2rem 3.75rem;
    border-radius: 30rem;
    font-size: 1.7rem;
    color: #fff;
    background-color: var(--black-color);
   
}
.btn:hover{
    opacity: 0.6;}
    .heading{
    color: #101010;
    text-transform: uppercase;
    font-size: 4rem;
    margin-bottom: 3.5rem;
    border-bottom: 0.1rem solid #000;
    
}
.heading span{
    text-transform: uppercase;
    
}
.search-input{
    font-size: 1.6rem;
    color: var(--black-color);
    padding: 1rem;
    text-transform: none;
    border-radius: 3rem;
    
}
.header .logo img{
    height: 10rem;
}
.header{
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 7%;
    box-shadow: 0px 0px 17px -2px rgba(0,0,0,0.75);
    position: sticky;
    top: 0;
    z-index: 1000;
    position: relative;
   }
   .header .navbar a{
    margin: 0 1rem; 
    font-size:1.6rem ;
    color: var(--black-color);
    border-bottom: 0.1rem solid transparent;
   }
     .header .navbar .active,
   .header .navbar a:hover{
    border-color: rgb(12, 12, 12);
    padding-bottom: 0.5rem;
   }
.header .expert-call button{
    cursor: pointer;
    font-size: 2rem;
 background-color: transparent;
}
.expert-call{
    display: flex;
    align-items: center;
    background:none;
    padding: 15px 20px;
    border-radius: 14px;
    max-width: 360px;
    box-shadow: 0 4px 12px rgb(0,0,0,0,0.8);
    gap: 15px;

}
.icon{
    width: 55px;
    height: 55px;
    background: #101110;
    color: #151414;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    }

    .phone-anim{
        color: #08e508;
        font-size: 22px;
        animation: ring 1.3s infinite;
        transform-origin: center;
        
    }
    @keyframes ring{
        0% {transform: rotate(0);}
        10%{transform: rotate(15deg);}
        20%{transform: rotate(-15deg);}
        30%{transform: rotate(10deg);}
        40%{transform: rotate(-10deg);}
        50%{transform: rotate(0);}
        100%{transform: rotate(0);}
    }
.text span{
    display: block;
    font-size: 16px;
    color: #0c2de3;
   
}
.text a{
    font-size: 20px;
    font-weight: bold;
    color: #000;
    text-decoration: none;
}
.text a:hover{
    color: #cb077d;
}

#menu-btn{
    display: none;
}

/* evden eve */
.hizmet  h1{
    font-size: 4rem;
    padding: 0.5rem 0;
    color: crimson;
}
.hizmet p{
    font-size: 2rem;
    padding: 1rem 0;
   line-height: 3rem;
}
.hizmet h2{
    font-size: 3rem;
    color: rgb(7, 131, 203);
}
.hizmet img{
    width: 100%;
    height: auto;
}

.blog img{
    width: 50%;
    height: auto; 
    padding: 1rem;
}
.blog h1{
    font-size: 3rem;
    color: red;
}
.blog h2{
    font-size: 2.5rem;
    color: rgb(6, 161, 35);
    padding: 0.5rem;
}
.blog h3{
    font-size: 2.4rem;
    color: rgb(181, 76, 24); 
    padding: 0.5rem;
}
.blog p{
    font-size: 2rem;
    line-height: 3rem;
}

.blog a{
    font-size: 3rem; color: rgb(9, 205, 123);
  
  
  
}
.blog .ul-blog{
  font-size: 5rem;

}
.blog .ul-blog li{
    list-style-type: none;
   
}


/*! footer section start*/
.footer{
    background-color: var(--black-color);
    text-align: center;
}
.footer h4{
    color: gold;
    font-size: 6rem;
}

.footer .h4 p{
    font-size: 2rem;
   color: ghostwhite;
   padding-top: 1rem;
}




.footer .share{
    padding: 5rem 0;

}
.footer .share a{
    width: 5rem;
    height: 5rem;
    color: #fff;
    line-height: 5rem;
    font-size: 2rem;
    border: #fff;
    border-radius: 50%;
    margin: 0.3rem;}
    .footer .share a:hover{
        background-color:rgb(14, 146, 239);
    }
    .footer .links{
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        gap: 1rem;
      
        
    }

    .footer .links a{
        background-color: gold;
        padding: 0.7rem 2rem;
        color: #0c0c0c;
        font-size: 2rem;
        border: var(--border);
    }
     .footer .links a:hover{
        background-color: #fff;
      }
     .footer .links a.active{
        background-color:rgb(238, 232, 235);
     }
     .footer .credit{
        font-size: 2rem;
        color: #fff;
        font-weight: 300;
        padding-top: 3rem;
     }
     .footer .credit span{
        color: gold;
     }
/*! footer section end*/
.phone-btn{
    position: fixed;
    bottom: 100px;
    right: 20px;
    background-color: #1086d0;
    color: white;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-size: 35px;
    z-index: 1000;
    box-shadow: 2px 2px 10px rgb(0,0,0,0,2);
}
.phone-btn:hover{
    transform: scale(1,1);
    background-color: #0c0c0c;
}
.whatsapp-button{
    position: fixed;
    bottom: 20px;
    right: 20px;
    background-color: #25d366;
    color: white;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-size: 35px;
    z-index: 1000;
    box-shadow: 2px 2px 10px rgb(0,0,0,0,2);
}

.whatsapp-button:hover{
    background-color: #128c7e;
    transform: scale(1.1);
}
@media(max-width:991px) {
    html {font-size: 55%;
    }
    .header{
        position: relative;
        padding: 1.5rem 2rem;
        z-index: 1000;
        padding-top: 8rem;
    }
.header .logo img{
    height: 7rem;
}
section{
    padding: 2rem;
}
.products .box-container{
    grid-template-columns: repeat(2,1fr);
}
.products .box-container .box .box-head .name{
    font-size: 3.4rem;
}
}
@media(max-width:768px) {
     #menu-btn{
        display: inline-block;
    }
.header{
    position: fixed;
    top: 0; 
    left:0 ;
    width: 100%;
    background: #fff;
    padding: 1.5rem 2rem;
    z-index: 1000;
    padding-top: 1rem;
   height: 9rem;
}

    .header .navbar{
       position: fixed;
        top: 0;
        background-color: #fff;
        height: 100vh;
        width: 100%;
      padding-top: 8rem;
        right: -100%;
        transition: 1s;
        z-index: 1000;
        }
        .header .navbar.active{
            right: 0;
        
        }
        .header .navbar a{
            color: var(--black-color);
            display: block; 
           padding: 1.5rem 2rem;
            font-size: 2rem;
            border-bottom: 1px solid #eee;
        }
        .header .logo img{
   height: 9rem;
    width: 60px;
    transition: 0.3s;}

        .products .box-container{
            grid-template-columns: 1fr;
        }
        .box-container{
            display: grid;
            grid-template-columns: 1fr !important
             } 
             .hizmet img{
                width: 100%;
                height: auto;
             }

}
@media(max-width:576px){
    html{
        font-size:40%;
    }
}


/*! responsive start*/
